<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.0.final using JasperReports Library version 6.20.0-2bc7ab61c56f459e8176eb05c7705e145cd400ad  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="report" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="5" uuid="9a3e59f5-6675-48cf-ad74-9c42b5a5b290">
	<property name="com.jaspersoft.studio.layout" value="com.jaspersoft.studio.editor.layout.VerticalRowLayout"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="One Empty Record"/>
	<parameter name="title" class="java.lang.String"/>
	<parameter name="scale" class="java.lang.String">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="mapSubReport" class="java.lang.String"/>
	<parameter name="scalebarSubReport" class="java.lang.String"/>
	<parameter name="gfi" class="net.sf.jasperreports.engine.data.JsonDataSource">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="legend" class="net.sf.jasperreports.engine.data.JsonDataSource">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="showGfi" class="java.lang.Boolean"/>
	<parameter name="showLegend" class="java.lang.Boolean"/>
	<title>
		<band height="30" splitType="Stretch">
			<property name="com.jaspersoft.studio.layout"/>
			<textField>
				<reportElement x="0" y="0" width="400" height="30" forecolor="#000000" uuid="3988392b-f1e2-4eda-9cb4-7caa2b3eb0cc"/>
				<textElement textAlignment="Left">
					<font size="18" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{title}]]></textFieldExpression>
			</textField>
			<image scaleImage="RealHeight" rotation="None">
				<reportElement stretchType="ContainerHeight" x="412" y="-10" width="292" height="290" uuid="7db892ac-1bd7-4252-ba47-2d8e80629baa">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<imageExpression><![CDATA["./images/htag_logo_bunt.png"]]></imageExpression>
			</image>
		</band>
	</title>
	<detail>
		<band height="771" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<frame>
				<reportElement x="0" y="0" width="555" height="750" uuid="6b965e76-e5c6-48a0-92e5-460f86bebb5f">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box padding="0">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<subreport>
					<reportElement x="0" y="0" width="555" height="750" uuid="fa145068-76a5-4834-98ed-ce65b1976b3d">
						<property name="local_mesure_unitwidth" value="pixel"/>
						<property name="local_mesure_unitheight" value="pixel"/>
						<property name="com.jaspersoft.studio.unit.width" value="px"/>
						<property name="com.jaspersoft.studio.unit.height" value="px"/>
						<property name="com.jaspersoft.studio.unit.x" value="px"/>
						<property name="com.jaspersoft.studio.unit.y" value="px"/>
					</reportElement>
					<subreportExpression><![CDATA[$P{mapSubReport}]]></subreportExpression>
				</subreport>
			</frame>
			<subreport>
				<reportElement mode="Opaque" x="325" y="756" width="91" height="13" backcolor="#FFFFFF" uuid="cc9824c4-f11e-4fcd-afc8-10893848cd0c"/>
				<subreportExpression><![CDATA[$P{scalebarSubReport}]]></subreportExpression>
			</subreport>
			<textField>
				<reportElement x="441" y="757" width="114" height="14" forecolor="#000000" uuid="3988392b-f1e2-4eda-9cb4-7caa2b3eb0cd">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA["Maßstab: " + $P{scale}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="757" width="281" height="14" uuid="783d192c-9ba2-44c9-8e89-950fc88b30eb"/>
				<textElement verticalAlignment="Bottom"/>
				<textFieldExpression><![CDATA["Herausgeberin: Hypertegrity AG"]]></textFieldExpression>
			</textField>
			<textField pattern="dd.MM.yyyy">
				<reportElement x="247" y="757" width="99" height="14" isRemoveLineWhenBlank="true" uuid="c7aaa2d0-2f29-49d3-8334-084084e4212b">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Bottom">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="189" y="757" width="59" height="14" isRemoveLineWhenBlank="true" uuid="7fa923ff-6318-4fb1-bdd1-d9b286d79f62">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Bottom">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA["Erstellt am:"]]></textFieldExpression>
			</textField>
		</band>
		<band height="544" splitType="Prevent">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<printWhenExpression><![CDATA[$P{showLegend} == true]]></printWhenExpression>
			<subreport isUsingCache="false">
				<reportElement x="0" y="0" width="555" height="544" isRemoveLineWhenBlank="true" uuid="2e5ea9fe-0dbe-4ba5-a02b-183285ad0fe3">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<dataSourceExpression><![CDATA[$P{legend}.subDataSource("layers")]]></dataSourceExpression>
				<subreportExpression><![CDATA["legend_h4.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="50">
			<printWhenExpression><![CDATA[$P{showGfi} == true]]></printWhenExpression>
			<subreport isUsingCache="false">
				<reportElement x="1" y="0" width="525" height="27" isRemoveLineWhenBlank="true" uuid="b25ebcf7-15e8-45ef-ac14-7ee003ed4abf">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<dataSourceExpression><![CDATA[$P{gfi}.subDataSource("layers")]]></dataSourceExpression>
				<subreportExpression><![CDATA["gfi_h4.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
</jasperReport>
